Subject: Re: ynl - mutiple policies for one nested attr used in multiple cmds

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Aug 2023 08:55:35 -0700

On Fri, 18 Aug 2023 10:37:19 +0200 Jiri Pirko wrote:
> >I'm not sure if you'll like it but my first choice would be to skip
> >the selector attribute. Put the attributes directly into the message.
> >There is no functional purpose the wrapping serves, right?  
> 
> I have another variation of a similar problem.
> There might be a different policy for nested attribute for get and set.
> Example nest: DEVLINK_ATTR_PORT_FUNCTION
> 
> Any suggestion how to resolve this?

You mean something like:

GET:
 [NEST_X]
   [ATTR_A]
   [ATTR_B]

GET:
 [NEST_X]
   [ATTR_A]
   [ATTR_C]

Where ATTR_A, ATTR_B and ATTR_C are from the same set but depending 
on the command the nest can either contain A,C or A,B?

That can happen in legit ways :( I don't have a good solution for it.